# Map Lighting

### Allows you to change the ambient and sun lighting on each individual map.

<br>

> ## **Contact:**
> ### In case of any crashes and/or questions ping me (S2ymi#6601) on the Official Northstar Discord in the #modding-chat channel

<br>

<hr>

# Settings:

- Main:
   - RGB Cycle on all Enabled Maps On/Off
   - Uniform Colour on all Enabled Maps On/Off
   - Uniform Sun Colour
   - Uniform Sky Colour
- For individual maps:
   - Enabled On/Off
      - Defines whether the map will use a custom colour
   - Reset On/Off
      - Will attempt to switch the map to vanilla lighting if the previous setting is set to Off
      - You'll generally want to leave this on if you don't use any other mods which edit map lighting
   - Sun Colour
   - Sky Colour

## Note:

If you use any of my overhaul mods (Glitch/Wargames/Angel City), you won't be able to edit that map's colour.

<hr>

# Preview:

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058508677063135232/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058512134226587729/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058512398455144448/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058512483284947065/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058513876657909810/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058514211443064915/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058514366913323158/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058514893340426300/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058515029714014308/image.png)

<br>

![image](https://cdn.discordapp.com/attachments/974722927704539166/1058515091521278072/image.png)

<hr>